function idElabData = DB_date_time(IDcentralina,DTcatena,NodeNum,ListaDate,ARRAYdate,conn)

nNodo = num2str(NodeNum);
l = ListaDate;
idElabData = zeros(l,1); % Contiene gli id delle date delle quali ho già dati
cc = 1; % contatore
for ii=1:l
    dString = datestr(ARRAYdate(ii),'yyyy-mm-dd');
    tString = datestr(ARRAYdate(ii),'HH:MM:SS'); 
    
   comando = ['select idElabData from ELABDATADISP where UnitName = ''' ...
       IDcentralina ''' and ToolNameID = ''' DTcatena ''' and NodeNum = ''' ...
       nNodo ''' and EventDate = ''' dString ''' and EventTime = ''' tString ''' order by EventDate'];
    curs = exec(conn,comando);
    curs = fetch(curs);
    idDate = curs.Data;
    if  strcmp(idDate,'No Data')
        idElabData(cc,1) = 0; % 0 indica che il dato non è presente su DB
    else
        idElabData(cc,1) = cell2mat(idDate);
    end
    cc = cc+1;
end

end